/**
 * SJDXNL 部件模型
 *
 * @export
 * @class SJDXNLModel
 */
export default class SJDXNLModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof SJDXNLModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userroledataid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'userroledataname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'dename',
        prop: 'dename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'userroledataname',
        prop: 'userroledataname',
        dataType: 'TEXT',
      },
      {
        name: 'isalldata',
        prop: 'isalldata',
        dataType: 'YESNO',
      },
      {
        name: 'orgdr',
        prop: 'orgdr',
        dataType: 'NMCODELIST',
      },
      {
        name: 'dstorgname',
        prop: 'dstorgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'secdr',
        prop: 'secdr',
        dataType: 'NMCODELIST',
      },
      {
        name: 'dstorgsectorname',
        prop: 'dstorgsectorname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'bcdr',
        prop: 'bcdr',
        dataType: 'NMCODELIST',
      },
      {
        name: 'dstsecbc',
        prop: 'dstsecbc',
        dataType: 'TEXT',
      },
      {
        name: 'userdr',
        prop: 'userdr',
        dataType: 'NMCODELIST',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'TEXT',
      },
      {
        name: 'deid',
        prop: 'deid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroledataid',
        prop: 'userroledataid',
        dataType: 'GUID',
      },
      {
        name: 'dstorgsectorid',
        prop: 'dstorgsectorid',
        dataType: 'PICKUP',
      },
      {
        name: 'dstorgid',
        prop: 'dstorgid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroledata',
        prop: 'userroledataid',
        dataType: 'FONTKEY',
      },
    ]
  }

}